%define name libxode
%define version 1.0.1
%define release 2mdk

Summary: A library for jabber.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
  libxode provides a library of XML and string helper functions. 
  Jabber agents use libxode extensively.                                                                                                                                          
%package devel 
Summary:   Package to make developpement with libxode.
Copyright: GPL
Group: Development/C
Requires: %name = %version

%description devel
  Package to make developpement with libxode.
  libxode provides a library of XML and string helper functions. 
  Jabber agents use libxode extensively.                                                                                                                                          
%prep
%setup
%configure

%build
uname -a|grep SMP && make -j 2 || make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_bindir}/*
%{_includedir}/*.h

%changelog
* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-2mdk
- Adding requires flag for devel package

* Wed Sep  6 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-1mdk
- Up to 1.0.1

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-2mdk
- Rebuild for next release

* Mon Jul  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Fisrt mdk release


# end of file
